//@Name:Qstick
//@Description:Tushar Chande's Qstick. As described on Stocks & Commodities magazine, February 2011 edition. 

var period = 8;
function init()
{
	setSeriesColour(0, Colour.Red);
	setTitle("Qstick ("+period+")");
	setHorizontalLine(0);
}
function getGraph(share, data)
{
	var output = [];
	var ma1 = new MA(period, MA.Exponential);
	for (var i=0; i<data.length; i++)
	{
		output[i] = ma1.getNext(data[i].close-data[i].open);
	}
	return output;
}